/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/xxas-add-instance-set.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/xxas-add-instance-set.xml',
'<View showSubmit="true" submitLabel="{message.XXAS_RB_COM_SAVE}" title="Add instance set form" defaultFormHandler="xxas_data_objects_pkg.add_instance_set">

  <EditFields>
    <Hidden id="OBJECT_ID"/>
    <Hidden id="OBJ_NAME"/>
    <TextInput id="INST_DISPLAY_NAME" label="Name" required="true"/>
    <!--TextInput id="INSTANCE_SET_NAME" label="Code" required="true"/-->
    <!--TextInput id="INST_DESCRIPTION" label="Description"/-->
    <TextArea  id="PREDICATE" label="WHERE clause" required="true" visible="true" maxChars="4000" emptyValue="Usage: &amp;TABLE_ALIAS.&lt;COLUMN_NAME&gt; &lt;expression&gt; CONDITION"/>
  </EditFields>
  
</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/xxas-add-instance-set.xml');
END;
/
COMMIT;
EXIT;
